import sys

MIN_VERSION = (2, 3) # Require Python2.3 or later

has_min_ver = False
has_twisted = False
has_sqlite3 = False

if sys.version_info > MIN_VERSION:
    has_min_ver = True

message = 'Python Version:\n'
message += str(sys.version)
message += '\n'

try:
    import twisted
    has_twisted = True
    message += 'You have Twisted \n'
except ImportError:
    message += 'You Need to install Twisted Python\n'

try:
    import sqlite3
    has_sqlite3 = True
    message += 'You have SQLite3'
except:
    message += 'Using pysqlite2 instead of sqlite3'


def test():
    return has_min_ver and has_twisted
