#!/usr/bin/env python

import sys
import dependencies
if not dependencies.test():
    print dependencies.message
    sys.exit(1)

from distutils.core import setup
from twisted.python import dist

packages = dist.getPackages('knoboo') 
package_data = {'knoboo':['knoboo.tac',
    'db_setup.sql',
    'static/js/*.js',
    'static/external/*.js',
    'static/styles/*.css',
    'static/images/*.png',
    'static/images/*.gif',
    'templates/*.html']}
data_files = dist.getDataFiles('knoboo')

setup(name='knoboo',
        version='0.1alpha',
        description='Python Web Browser Notebook Interface',
        author='Alex Clemesha & Dorian Raymer',
        author_email='knoboo@gmail.com',
        url='http://trac.knoboo.com',
        license='GPL',
        packages=packages,
        package_data=package_data,
        data_files=data_files,
        scripts= ["bin/knobood"]
        )

