#ACCOUNTS
CREATE_ACCOUNT = "INSERT INTO users VALUES(?, ?, ?, ?)"

SETTINGS = "SELECT * FROM settings WHERE avatarId = ?"

SAVE_SETTINGS = "UPDATE settings SET cell_input_border = ?, cell_output_border = ? WHERE avatarId = ?"


#BOOKSHELF

CREATE_FOLDER = "INSERT INTO bookshelf_locations values(?, ?, ?, ?)"

RENAME_FOLDER = "UPDATE bookshelf_locations SET title = ? WHERE locationId = ?"

BOOKSHELF_DATA = """SELECT notebookId, title, kernel, totalCells, lastModified, locationId 
                    FROM notebooks WHERE avatarId = ? ORDER BY lastModified DESC"""

FILTER_BS_DATA = """SELECT notebookId, title, kernel, totalCells, lastModified, locationId
                       FROM notebooks WHERE avatarId = ? AND locationId = ?  ORDER BY %s LIMIT ? OFFSET ?"""

USER_LOCATIONS = "SELECT locationId, title FROM bookshelf_locations WHERE avatarId = ?"

#NOTEBOOK

NOTEBOOK = "SELECT title FROM notebooks WHERE notebookId = ?"

#CREATE_NOTEBOOK = "INSERT INTO notebooks values(?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
CREATE_NOTEBOOK = "INSERT INTO notebooks (notebookId, avatarId, title, kernel) values(?, ?, ?, ?)"

NOTEBOOK_OBJECT = """SELECT n.orderlist, s.cell_input_border, s.cell_output_border 
                     FROM notebooks n, settings s WHERE n.notebookId = ? AND s.avatarId = ?"""

NOTEBOOK_OBJECT_CELLSDATA = """SELECT cellId, cellContent, cellStyle, cellProps 
                               FROM cells WHERE notebookId = ?"""

CHANGE_TITLE = "UPDATE notebooks SET title = ? WHERE notebookId = ?"

SAVE_CELL = "REPLACE INTO cells VALUES(?, ?, ?, ?, ?, ?, ?)"

SAVE_NOTEBOOK_METADATA = "UPDATE notebooks SET orderlist = ? WHERE notebookId = ?"

EVALCELL_SAVE_INPUT = "REPLACE INTO cells VALUES(?, ?, ?, ?, ?, ?, ?, ?)"

EVALCELL_SAVE_OUTPUT = "REPLACE INTO cells VALUES(?, ?, ?, ?, ?, ?, ?, ?)"

DELETE_CELL = "DELETE FROM cells WHERE cellid = ? AND avatarId = ?"
 
SEARCH_NOTEBOOKS = "SELECT notebookId FROM notebooks WHERE avatarId = ?"
