/*
 * Indicator.js - Displays messages and stuff.
 */


Notebook.Indicator = {};

Notebook.Indicator.beginMsg = function(text) {
    var msg = $.SPAN({'class':'curmsg'}, text);
    $('#indicator').append(msg);
    $('.curmsg').show();
    return;
};

Notebook.Indicator.endMsg = function(text) {
    $('.curmsg').text(text).animate({opacity:1.0}, 3000, function() {$(this).remove()});
};

Notebook.Indicator.endError = function(text) {
    $('.curmsg').text(text).css('background-color','red').fadeOut(10000, function() {
            $(this).remove()});
};

Notebook.Indicator.loading = function() {
    Notebook.Indicator.beginMsg('Loading...');
};

Notebook.Indicator.loaded = function() {
    Notebook.Indicator.endMsg('Notebook Loaded.');
};

Notebook.Indicator.save = function() {
    Notebook.Indicator.beginMsg('Saving...');
};

Notebook.Indicator.saved = function() {
    Notebook.Indicator.endMsg('Saved.');
};

Notebook.Indicator.saveError = function() {
    Notebook.Indicator.endError('Error Saving!');
};
